import { ComponentRendering } from '@sitecore-jss/sitecore-jss-nextjs';
/**
 * Use this hook to modify the props of the children components (Placeholder).
 * @param rendering The rendering object of the current component.
 * @param newProps  The new props to be added to the children components.
 * @returns The modified props of the children components.
 **/
export declare const useModifyChildrenProps: (rendering: ComponentRendering, newProps: {
    [key: string]: unknown;
}) => {
    [key: string]: unknown;
};
